ACL_FROM_MODE_NP(3)

NAME
acl_from_mode_np - create an ACL from status information

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
acl_t
acl_from_mode_np(const mode_t mode);

DESCRIPTION
The acl_from_mode_np() function is a non-portable call that converts the permissions set referred to by mode into the corresponding minimal ACL structure, appropriate for applying to files or manipulating.

This function causes memory to be allocated. The caller should free any free-able memory, when the new ACL is no longer required, by calling acl_free(3) with the (void *)acl_t as an argument.

RETURN VALUES
Upon successful completion, the function returns a pointer to the internal representation of the ACL in working storage. Otherwise, a value of (acl_t)NULL is returned, and errno is set to indicate the error.

ERRORS
If any of the following conditions occur, the acl_from_mode_np() function returns a value of (acl_t)NULL and set errno to the corresponding value:

[ENOMEM]
    The ACL working storage requires more memory than is allowed by the hardware or system-imposed memory management constraints.

SEE ALSO
acl(3), acl_free(3), acl_from_text(3), posix1e(3)

STANDARDS
POSIX.1e is described in IEEE POSIX.1e draft 17. Discussion of the draft continues on the cross-platform POSIX.1e implementation mailing list. To join this list, see the FreeBSD POSIX.1e implementation page for more information.

HISTORY
POSIX.1e support was introduced in FreeBSD 4.0, and development continues.

AUTHORS
Gleb Popov